<%- include('../includes/header.ejs') %>
<style>
  
  .select2-result-repository{
    display:flex;
    align-items:center;
  }
  .select2-result-repository__avatar img{
    height:150px;
    width:150px;
    margin-right: 10px;
  }
</style>
<!-- Styles -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" />
<!-- Or for RTL support -->
<!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/select2-bootstrap-5-theme@1.2.0/dist/select2-bootstrap-5-theme.rtl.min.css" /> -->
<!-- Scripts -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.0/dist/jquery.slim.min.js"></script>
<script>
  var select2 = $.noConflict();
</script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<%- include('../includes/navigation.ejs') %>
<div class="content-wrapper">
  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box box-info">
          <div class="box-header">
            <h3 class="box-title"><%- title %></h3>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <div class="box box-info">
          <div class="form-search">
            <div class="clear">
              <div class="search">
                <form role="form" method="POST">
                  <div class="form-group" style="min-width: 400px;">
                    <label class="control-label">Add User</label>
                    <div>
                      <select id="js-data-example-ajax" class="form-control input-lg">
                          
                      </select>
                    </div>
                  </div>
                  <div>
                    <div class="buttons">
                      <button id="submit-form" class="btn btn-primary" type="button">Add</button>
                    </div>
                  </div>
                </form>
              </div>
            </div> 
          </div>
        </div>
      </div>
    </div>
    <%if(results.length > 0){%>
      <div class="row">
          <div class="col-xs-12">
              <div class="callout callout-warning">
                <p><%- totalCount %> User Subscriber(s) Founds.</p>
              </div>
            <div class="box">
              <!-- /.box-header -->
              <div class="box-body table-responsive no-padding">
                <table class="table table-hover">
                  <tr>
                    <th><input type="checkbox" class="checkbox checkall"></th>
                    <th>User ID</th>
                    <th>Title</th>
                    <th>Image</th>
                    <th>Creation Date</th>
                    <th>Options</th>
                  </tr>
                  <%for(var i=0;i<results.length;i++){%>
                  <tr>
                    <td><input type="checkbox" class="checkbox" name="delete_<%-results[i].user_subscribe_id%>" value="<%-results[i].user_subscribe_id%>"></td>
                    <td><a href="/<%- results[i].username %>" target="_blank"><%- results[i].user_id %></a></td>
                    <td>
                      <a href="/<%- results[i].username %>" target="_blank"><%- results[i].displayname %></a>
                    </td>
                    <td>
                      <img src="<%-imageSuffix+(results[i].avtar )%>" style="height:50px;width: 50px;" />
                    </td>
                    <td>
                      <%let dateS = moment(results[i].creation_date).locale("en")%>
                      <%= 
                          dateS.tz(defaultTimezone).format(formatDate)
                      %>
                    </td>
                    <td>
                        <a  class="btn btn-primary btn-xs" href="/<%- results[i].username %>" target="_blank">View User</a>
                        <a  class="btn btn-danger btn-xs" onclick="preDeleteFn(this)" data-id="<%-results[i].user_subscribe_id;%>" data-toggle="modal" data-target="#modal-danger" >Delete</a>
                    </td>
                  </tr>
                 <% } %>
                </table>
                <button type="button" class="btn btn-primary delete-selected">Delete Selected</button>
              </div>
              <%if (paggingData) { %>
                <div class="box-footer clearfix">
                  <%- paggingData %>
                </div>
                <% } %>
              <!-- /.box-body -->
            </div>
            <div class="modal model-dialog-hide" id="modal-danger">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title">Delete</h4>
                    </div>
                    <div class="modal-body">
                      <p>Are you sure want to delete this? It will not be recoverable after being deleted.</p>
                    </div>
                    <div class="modal-footer">
                      <button type="button" onclick="deleteFunction()" class="btn btn-outline">Delete</button>
                    </div>
                  </div>
                  <!-- /.modal-content -->
                </div>
                <!-- /.modal-dialog -->
              </div>
            <!-- /.box -->
          </div>
        </div>
      <% }else{%>
            <div class="callout callout-info">  
                <p>No user subscribe yet.</p>
            </div>
      <% } %>
  </section>
</div>
<%- include('../includes/scripts.ejs') %>
<script type="application/javascript">
  $("#submit-form").click(function(e){
    //add user
    $.post("<%-process.env.ADMIN_SLUG%>/tools/create-user-subscriber/"+selectedItemID,{},function(e){
      window.location.reload();
    })
  })
 var selectedItemID = "";
 select2("#js-data-example-ajax").select2({
  id: 'channel_id',
  ajax: {
    url: "<%-process.env.ADMIN_SLUG%>/tools/users",
    dataType: 'json',
    transport: function (params, success, failure) {
      var $request = $.ajax(params);
      $request.then(success);
      $request.fail(failure);
      return $request;
    },
    delay: 250,
    data: function (params) {
      return {
        q: params.term, // search term
        page: params.page
      };
    },
    processResults: function (data, params) {
      // parse the results into the format expected by Select2
      // since we are using custom formatting functions we do not need to
      // alter the remote JSON data, except to indicate that infinite
      // scrolling can be used
      params.page = params.page || 1;

      return {
        results: data.items,
        pagination: {
          more: (params.page * 10) < data.total_count
        }
      };
    },
    cache: true
  },
  placeholder: 'Search users',
  minimumInputLength: 1,
  templateResult: formatRepo,
  templateSelection: formatRepoSelection
});
function formatRepo (repo) {
  if (repo.loading) {
    return repo.text;
  }

  var $container = $(
    "<div class='select2-result-repository clearfix'>" +
      "<div class='select2-result-repository__avatar'><img src='" + repo.avtar + "' /></div>" +
      "<div class='select2-result-repository__meta'>" +
        "<div class='select2-result-repository__title'>"+repo.displayname+"</div>" +
      "</div>" +
    "</div>"
  );
  return $container;
}

function formatRepoSelection (repo) {
  selectedItemID = repo.user_id
  return repo.displayname || repo.user_id;
}
var deleteObjectId;
  function preDeleteFn(obj){
    deleteObjectId = $(obj).attr('data-id');
  }
  function deleteFunction(){
    window.location.href = "<%= process.env.ADMIN_SLUG %>/tools/user-subscribe/delete/%>"+deleteObjectId;
  }
</script>
<%- include('../includes/footer.ejs') %>